Request Sensitive Access
curl --request POST \
--url https://app.plugchoice.com/api/v3/sites/{site}/teams/{team}/request-sensitive-data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"requested_expires_never": true,
"requested_data_expires_at": "<string>"
}
'import requests
url = "https://app.plugchoice.com/api/v3/sites/{site}/teams/{team}/request-sensitive-data"
payload = {
"reason": "<string>",
"requested_expires_never": True,
"requested_data_expires_at": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: '<string>',
requested_expires_never: true,
requested_data_expires_at: '<string>'
})
};
fetch('https://app.plugchoice.com/api/v3/sites/{site}/teams/{team}/request-sensitive-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Team Access
Request Sensitive Access
POST
/
v3
/
sites
/
{site}
/
teams
/
{team}
/
request-sensitive-data
Request Sensitive Access
Sends a request for sensitive data access on behalf of the specified team. The location owner will be notified to approve or deny the request.
The UUID of the location.
The UUID of the team requesting access.
The reason for requesting sensitive data access. Maximum 255 characters.
Whether the requested access should never expire. Set to
true for permanent access.ISO 8601 date for when the requested access should expire. Required when
requested_expires_never is false. Must be a future date.Response
A confirmation message indicating the sensitive data access request was sent successfully.
⌘I